Bug 232140 - net-mgmt/kismet: Fix OpenSSL build
Summary: net-mgmt/kismet: Fix OpenSSL build
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Kurt Jaeger
URL: https://sources.debian.org/patches/ki...
Keywords:
Depends on:
Blocks: 231931
  Show dependency treegraph
 
Reported: 2018-10-10 00:36 UTC by Nathan
Modified: 2018-11-01 17:59 UTC (History)
2 users (show)

See Also:
pi: maintainer-feedback+


Attachments
Fix OpenSSL 1.1.x build (3.12 KB, patch)
2018-10-10 00:36 UTC, Nathan
ndowens04: maintainer-approval? (pi)
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Nathan 2018-10-10 00:36:01 UTC
Created attachment 197990 [details]
Fix OpenSSL 1.1.x build

net-mgmt/kismet: Fix OpenSSL build
 
 PR:             231931
 Submitted by:   Nathan <ndowens@yahoo.com>
Comment 1 Kurt Jaeger freebsd_committer 2018-10-10 04:34:02 UTC
testbuilds@work
Comment 2 Kurt Jaeger freebsd_committer 2018-10-28 11:45:37 UTC
So, it builds on 13a, 12a, untested on 11.2a, fails to build on 10.4i.

http://people.freebsd.org/~pi/logs/net-mgmt__kismet-104i-1540726769.txt
Comment 3 Kurt Jaeger freebsd_committer 2018-10-28 11:46:08 UTC
Given that 10.4 support ends in a few days...
Comment 4 Kurt Jaeger freebsd_committer 2018-10-29 19:12:36 UTC
The patch is only applied on 12, not below.
Comment 5 commit-hook freebsd_committer 2018-10-29 19:12:59 UTC
A commit references this bug:

Author: pi
Date: Mon Oct 29 19:12:29 UTC 2018
New revision: 483399
URL: https://svnweb.freebsd.org/changeset/ports/483399

Log:
  net-mgmt/kismet: fix build on 12 with OpenSSL 1.1.1

  PR:		232140
  Submitted by:	Nathan <ndowens@yahoo.com>

Changes:
  head/net-mgmt/kismet/Makefile
  head/net-mgmt/kismet/files/extra-patch-restricted-plugin-ptw_aircrack-crypto.cc
  head/net-mgmt/kismet/files/patch-restricted-plugin-ptw_aircrack-crypto.cc
Comment 6 commit-hook freebsd_committer 2018-11-01 17:59:44 UTC
A commit references this bug:

Author: antoine
Date: Thu Nov  1 17:58:47 UTC 2018
New revision: 483692
URL: https://svnweb.freebsd.org/changeset/ports/483692

Log:
  MFH: r483399

  net-mgmt/kismet: fix build on 12 with OpenSSL 1.1.1

  PR:		232140
  Submitted by:	Nathan <ndowens@yahoo.com>

Changes:
_U  branches/2018Q4/
  branches/2018Q4/net-mgmt/kismet/Makefile
  branches/2018Q4/net-mgmt/kismet/files/extra-patch-restricted-plugin-ptw_aircrack-crypto.cc
  branches/2018Q4/net-mgmt/kismet/files/patch-restricted-plugin-ptw_aircrack-crypto.cc